<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>reconciliation-system</artifactId>
        <groupId>com.progresssoft.jip8</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <packaging>war</packaging>
    <artifactId>reconcile-webapp</artifactId>

    <dependencies>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>jstl</artifactId>
            <version>1.2</version>
        </dependency>
        <dependency>
            <groupId>com.progresssoft.jip8</groupId>
            <artifactId>file-upload-fragment</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.progresssoft.jip8</groupId>
            <artifactId>upload-file-intializer</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.progresssoft.jip8</groupId>
            <artifactId>files-details</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.progresssoft.jip8</groupId>
            <artifactId>compare-fragment</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.progresssoft.jip8</groupId>
            <artifactId>download-file-fragment</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>3.0.0-M4</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <configuration>
                    <failOnMissingWebXml>false</failOnMissingWebXml>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.eclipse.jetty</groupId>
                <artifactId>jetty-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.codehaus.cargo</groupId>
                <artifactId>cargo-maven2-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>